Bug 1220778 - [RFC] should pcs escape double-quotes to prevent clashes/irregularity with string-denoting ones in parameter printouts?
Summary: [RFC] should pcs escape double-quotes to prevent clashes/irregularity with st...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: pcs
Version: 7.2
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Tomas Jelinek
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-12 12:26 UTC by Jan Pokorný [poki]
Modified: 2020-12-15 07:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-12-15 07:34:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1198640 0 high CLOSED [WebUI] spaces not allowed in resource agent options fields 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1219574 0 high CLOSED [gui] resource optional arguments: quoted strings missing 2021-02-22 00:41:40 UTC

Internal Links: 1198640 1219574

Description Jan Pokorný [poki] 2015-05-12 12:26:32 UTC
Sample case:

# pcs resource create mysql-test ocf:heartbeat:mysql \
  'config="/mnt/foo/mysql/config final.cnf"'
# pcs resource show mysql-test | head -n2
 Resource: mysql-test (class=ocf provider=heartbeat type=mysql)
  Attributes: config=""/mnt/foo/mysql/config final.cnf"" 
                     ^^                               ^^

Comment 1 Jan Pokorný [poki] 2015-05-12 12:29:32 UTC
... this is what CIB contains in such a case:

<nvpair id="mysql-testC-instance_attributes-config" name="config"
        value="&quot;/mnt/foo/mysql/config final.cnf&quot;"/>

Comment 2 Jan Pokorný [poki] 2015-05-15 20:42:46 UTC
Cf. http://clusterlabs.org/pipermail/users/2015-May/000403.html

Comment 6 RHEL Program Management 2020-12-15 07:34:23 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.


Note You need to log in before you can comment on or make changes to this bug.